Description

When converting MySQL to Postgres on Foreman1.2, I get the following error (full trace attached):

Converting architectures_operatingsystems...rake aborted!

PG::Error: ERROR:  column "id" does not exist

LINE 1: ...re_id", "operatingsystem_id") VALUES ($1, $2) RETURNING "id"

^

: INSERT INTO "architectures_operatingsystems" ("architecture_id", "operatingsystem_id") VALUES ($1, $2) RETURNING "id"

The schemas are consistent on both DBs.

Related issues:

Related to Foreman - Bug #3268: defer postgresql foreign key constraints for ... Closed 10/08/2013

Associated revisions

Revision f2cddb6b - 11/14/2013 04:39 PM - Greg Sutcliffe

fixes #3268, #2783 - Update prod2dev to handle fkeys in psql

Revision ae72d2b7 - 11/15/2013 09:59 AM - Greg Sutcliffe

fixes #3268, #2783 - Update prod2dev to handle fkeys in psql

(cherry picked from commit f2cddb6be2e68958350081c72068c79ca26a656b)

History

#1 - 07/14/2013 08:26 AM - Joseph Magen

I also got this bug about a month ago and was not successful to fix it quickly.  I ended up using the taps gem to manually migrate my database from

MySQL to Postgres.  Not the best method.  I hope someone volunteers to look at this bug.  If not, I will look at it again.

#2 - 07/15/2013 04:43 AM - Scuba Floyd

My knowledge about Ruby and Rails is quite limited, but there's a boolean switch 'insert_returning' in

ActiveRecord::ConnectionAdapters::PostgreSQLAdapter which defaults true. Maybe that is causing the trouble.

#3 - 07/25/2013 09:48 AM - Andy Bohne

I'm also experiencing this issue, however I'm migrating from sqlite3 to pgsql.

#4 - 10/15/2013 06:13 PM - Dominic Cleal

- Related to Bug #3268: defer postgresql foreign key constraints for rake db:convert:prod2dev added

#5 - 11/14/2013 04:42 PM - Dominic Cleal

- Description updated

- Status changed from New to Ready For Testing

- translation missing: en.field_release set to 3
https://github.com/theforeman/foreman/pull/1020

#6 - 11/14/2013 04:42 PM - Dominic Cleal

- Assignee set to Greg Sutcliffe

- Target version set to 1.10.0

#7 - 11/14/2013 05:31 PM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f2cddb6be2e68958350081c72068c79ca26a656b.
